Show / Hide Table of Contents

# Class ModsaberModInfo

A class to provide information about a mod on ModSaber.ML

##### Inheritance

Object
ModsaberModInfo

##### Inherited Members

Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA

###### Assembly: IPA.Loader.dll

##### Syntax

    [Obsolete("This is unused, and has been since the manifest was introduced. All functionality is provided by the manifest.")]
    public class ModsaberModInfo

### Properties

| Improve this Doc View Source

#### CurrentVersion

The version of the currently installed mod. Used to compare to the version on ModSaber. Should be a valid SemVer version.

##### Declaration

    public string CurrentVersion { get; set; }

##### Property Value

Type | Description
--- | ---
String |

| Improve this Doc View Source

#### InternalName

The name the mod uses on ModSaber as an identifier.

##### Declaration

    public string InternalName { get; set; }

##### Property Value

Type | Description
--- | ---
String |

### Extension Methods

ReflectionUtil.SetPrivateField(Object, String, Object)
ReflectionUtil.GetPrivateField<T>(Object, String)
ReflectionUtil.SetPrivateProperty(Object, String, Object)
ReflectionUtil.InvokePrivateMethod(Object, String, Object[])
ReflectionUtil.InvokePrivateMethod<T>(Object, String, Object[])